from models import model
from datasets import dataloading
from models.model_evaluator import test_model_dataframe
from util.model_input_util import create_features_multiple_input_dataframe, create_multiple_target_output_dataframe
from util.util import save_dict_to_file


class SoccerPowerIndex(model.KerasModel):

    def __init__(self, network_dims, input_size, model_number, dir_name="soccer-power-index",
                 loss="categorical_crossentropy", activation_function="relu", optimiser="adam"):
        super().__init__(network_dims, input_size, model_number=model_number ,activation_function=activation_function, learning_rate=0.0001,
                         dir_name=dir_name,  optimizer=optimiser, loss=loss)

    @staticmethod
    def get_default_features():
        return {
            "feature_list": [
                'h_spi',
                'a_spi',
                'wma_spiFor_Home',
                'wma_spiFor_Away',
                'h_importance',
                'a_importance',
                'h_days_since_last_exp',
                'a_days_since_last_exp'
            ]
        }